## lsp-treemacs 0.5

=== Makefile ===
EMACS ?= emacs
EASK ?= eask

.PHONY: all build compile clean

ci: clean build compile

all:
	$(EASK) build

build:
	$(EASK) package
	$(EASK) install

compile:
	$(EASK) compile

checkdoc:
	$(EASK) checkdoc

lint:
	$(EASK) lint

clean:
	$(EASK) clean all

## lsp-treemacs 0.4

=== debian/changelog ===
lsp-treemacs (0.4-3) unstable; urgency=medium

  * source only upload
  * fix d/watch
  * Add Homepage to d/control

 -- Thomas Koch <thomas@koch.ro>  Thu, 14 Apr 2022 21:19:11 +0300

lsp-treemacs (0.4-2) unstable; urgency=medium

  * add missed copyright holder. Closes: #1007119.

 -- Thomas Koch <thomas@koch.ro>  Tue, 05 Apr 2022 21:44:47 +0300

lsp-treemacs (0.4-1) unstable; urgency=medium

  * Initial release. Closes: #1007119.

 -- Thomas Koch <thomas@koch.ro>  Fri, 11 Mar 2022 16:42:44 +0200

=== debian/control ===
Source: lsp-treemacs
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Thomas Koch <thomas@koch.ro>
Build-Depends: debhelper-compat (= 13),
 dh-elpa
Standards-Version: 4.6.0.1
Vcs-Browser: https://salsa.debian.org/emacsen-team/lsp-treemacs
Vcs-Git: https://salsa.debian.org/emacsen-team/lsp-treemacs.git
Homepage: https://github.com/emacs-lsp/lsp-treemacs
Rules-Requires-Root: no

Package: elpa-lsp-treemacs
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: treemacs integration for Emacs LSP
 This package provides some treemacs vizualization of LSP data, e.g.:
 * error list
 * symbols in a file
 * references and implementations
 * call hierarchy
 * type hierarchy

## lsp-treemacs 0.5

=== debian/changelog ===
lsp-treemacs (0.5-1) unstable; urgency=medium

  * New upstream release
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse
  * Fix indentation of package description
  * Update Standards-Version to 4.7.0; no change needed
  * Remove constraints unnecessary since buster (oldstable)
  * Add Source and Upstream-Contact in d/copyright
  * Update section from lisp to editors
  * Remove Thomas from uploaders.  Thanks for your work!
    (Closes: #1019016)
  * Add myself to uploaders
  * Add myself to copyright list of `debian/*' with current year

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 28 Oct 2024 18:45:46 -0700

lsp-treemacs (0.4-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:33:53 +0900

=== debian/control ===
Source: lsp-treemacs
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Xiyue Deng <manphiz@gmail.com>
Build-Depends: debhelper-compat (= 13),
 dh-elpa
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/lsp-treemacs
Vcs-Git: https://salsa.debian.org/emacsen-team/lsp-treemacs.git
Homepage: https://github.com/emacs-lsp/lsp-treemacs
Rules-Requires-Root: no

Package: elpa-lsp-treemacs
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs
Enhances: emacs
Description: treemacs integration for Emacs LSP
 This package provides some treemacs vizualization of LSP data, e.g.:
  * error list
  * symbols in a file
  * references and implementations
  * call hierarchy
  * type hierarchy

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_clean:
	@echo Skip cleaning with Eask

override_dh_auto_build:
	@echo Skip building with Eask

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/lsp-treemacs-$1.tar.gz/" \
    https://github.com/emacs-lsp/lsp-treemacs/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
